<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__crypto__lld__vu__functions" kind="group">
    <compoundname>group_crypto_lld_vu_functions</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga578cecebde8bce42aba5657d36b809ee" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>cy_en_crypto_status_t Cy_Crypto_Core_Cleanup</definition>
        <argsstring>(CRYPTO_Type *base)</argsstring>
        <name>Cy_Crypto_Core_Cleanup</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Cleans up the Crypto block. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="147" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="105" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="62" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1gad21cfd7efa413ac522736348d3e28813" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_Vu_SetMemValue</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t dstReg, uint8_t const *src, uint32_t size)</argsstring>
        <name>Cy_Crypto_Core_Vu_SetMemValue</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>dstReg</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>src</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Sets the value in the Crypto memory allocated by the destination VU register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dstReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The destination vector unit register.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the source value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the operated value. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="74" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="46" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="83" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga656498f4aad29b0c489b098093fde8d3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_Vu_GetMemValue</definition>
        <argsstring>(CRYPTO_Type *base, uint8_t *dst, uint32_t srcReg, uint32_t size)</argsstring>
        <name>Cy_Crypto_Core_Vu_GetMemValue</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Gets the value located in the crypto memory and pointed by source VU register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the operated value. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="103" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="76" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="104" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1gaa7e7823e7b0d5a6e279bf90e405aec9e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool Cy_Crypto_Core_Vu_IsRegZero</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg)</argsstring>
        <name>Cy_Crypto_Core_Vu_IsRegZero</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <briefdescription>
<para>Returns TRUE if srcReg contains 0. </para>        </briefdescription>
        <detaileddescription>
<para>FALSE - otherwise.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The result of the comparison. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="167" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="149" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="122" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga8e0735e9fc34fe5a31250fd4b63c2d4e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool Cy_Crypto_Core_Vu_IsRegEqual</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg0, uint32_t srcReg1)</argsstring>
        <name>Cy_Crypto_Core_Vu_IsRegEqual</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg0</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg1</declname>
        </param>
        <briefdescription>
<para>Returns TRUE if srcReg0 contains the same value as srcReg1. </para>        </briefdescription>
        <detaileddescription>
<para>FALSE - otherwise.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg0</parametername>
</parameternamelist>
<parameterdescription>
<para>The source 0 vector unit register.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg1</parametername>
</parameternamelist>
<parameterdescription>
<para>The source 1 vector unit register.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The result of the comparison. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="187" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="169" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="143" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga114cfba2b92c9b5344bb998dba0c5c8d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool Cy_Crypto_Core_Vu_IsRegLess</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg0, uint32_t srcReg1)</argsstring>
        <name>Cy_Crypto_Core_Vu_IsRegLess</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg0</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg1</declname>
        </param>
        <briefdescription>
<para>Returns TRUE if srcReg0 contains the value less than value of srcReg1. </para>        </briefdescription>
        <detaileddescription>
<para>FALSE - otherwise.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg0</parametername>
</parameternamelist>
<parameterdescription>
<para>The source 0 vector unit register.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg1</parametername>
</parameternamelist>
<parameterdescription>
<para>The source 1 vector unit register.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The result of the comparison. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="207" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="189" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="165" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga5ad9884a789357ff965fad691dc9a4cd" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_Crypto_Core_Vu_RegRead</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg)</argsstring>
        <name>Cy_Crypto_Core_Vu_RegRead</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <briefdescription>
<para>Returns the data pointed in a given register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="183" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" bodystart="180" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="180" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1gafa91981fe381221357f6ceef5ee65fa4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint16_t</type>
        <definition>__STATIC_INLINE uint16_t Cy_Crypto_Core_Vu_RegSizeRead</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg)</argsstring>
        <name>Cy_Crypto_Core_Vu_RegSizeRead</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <briefdescription>
<para>Returns size of the data pointed in given register, it is lower 12Bit of the 32Bit word. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="202" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" bodystart="199" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="199" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga6ba9bc785b3a2a63b003acbe80ad02ec" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint16_t</type>
        <definition>__STATIC_INLINE uint16_t Cy_Crypto_Core_Vu_RegBitSizeRead</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg)</argsstring>
        <name>Cy_Crypto_Core_Vu_RegBitSizeRead</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <briefdescription>
<para>Returns size of the data pointed in given register, in Bits. </para>        </briefdescription>
        <detaileddescription>
<para>It is lower 12Bit of the 32Bit word</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="221" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" bodystart="218" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="218" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1gafafeb2db0a5a663ece13e29bc4de6fcb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint16_t</type>
        <definition>__STATIC_INLINE uint16_t Cy_Crypto_Core_Vu_RegByteSizeRead</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg)</argsstring>
        <name>Cy_Crypto_Core_Vu_RegByteSizeRead</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <briefdescription>
<para>Returns size of the data pointed in given register, in Bytes. </para>        </briefdescription>
        <detaileddescription>
<para>It is lower 12Bit of the 32Bit word</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="240" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" bodystart="237" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="237" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga5d7cabef5ee939fbc82aea490d31b47b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint16_t</type>
        <definition>__STATIC_INLINE uint16_t Cy_Crypto_Core_Vu_RegWordSizeRead</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg)</argsstring>
        <name>Cy_Crypto_Core_Vu_RegWordSizeRead</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <briefdescription>
<para>Returns size of the data pointed in given register, in words (uint32_t). </para>        </briefdescription>
        <detaileddescription>
<para>It is lower 12Bit of the 32Bit word</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="259" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" bodystart="256" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="256" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga867676bf1380cab44bac1dd41e5d41ba" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint16_t</type>
        <definition>__STATIC_INLINE uint16_t Cy_Crypto_Core_Vu_RegDataPtrRead</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg)</argsstring>
        <name>Cy_Crypto_Core_Vu_RegDataPtrRead</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <briefdescription>
<para>Returns the data pointer, in 14-bit format of the data pointed in given register, it is upper 16Bit of the 32Bir word. </para>        </briefdescription>
        <detaileddescription>
<para>Pointer is in words (uint32_t).</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="279" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" bodystart="275" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="275" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1gaf3eb6a75150071a92906aed994a3682e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t *</type>
        <definition>__STATIC_INLINE uint32_t* Cy_Crypto_Core_Vu_RegMemPointer</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg)</argsstring>
        <name>Cy_Crypto_Core_Vu_RegMemPointer</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <briefdescription>
<para>Returns the memory address of the data pointed in given register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="297" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" bodystart="294" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="294" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga78e8555981ee096d716efeab9f3206df" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_Crypto_Core_Vu_StatusRead</definition>
        <argsstring>(CRYPTO_Type *base)</argsstring>
        <name>Cy_Crypto_Core_Vu_StatusRead</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the value of the VU status register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="314" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" bodystart="309" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="309" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga08aa3a35101cb64a96fa0b744aae35d0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_VU_RegInvertEndianness</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg)</argsstring>
        <name>Cy_Crypto_Core_VU_RegInvertEndianness</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <briefdescription>
<para>Reverts the memory data block pointed in given register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="214" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="209" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_vu.h" line="329" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>